<div *ngIf="!provider" class="d-flex justify-content-center h-100">
  <div class="spinner-border m-auto" role="status">
    <span class="sr-only">Loading...</span>
  </div>
</div>

<div *ngIf="provider" class="row justify-content-between mb-4">
  <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <div class="d-flex align-items-center">
      <button [routerLink]="[previousRoute]" class="btn btn-basic mr-3">
        <fa-icon [icon]="icons.faChevronLeft"></fa-icon>
      </button>
      <h2 class="mb-0">{{provider.name}}</h2>
    </div>
    <!--    <h1><fa-icon [icon]="['far', 'star']"></fa-icon>{{provider.name}}</h1>-->
  </div>
  <div class="col-lg-12 col-md-12 col-sm-12">
    <form #providerForm="ngForm" (ngSubmit)="update(providerForm)">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <div class="row mb-3">
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="name">Nom</label>
                <input id="name" class="form-control" name="name" type="text" [ngModel]="provider.name" minlength="3" maxlength="40" required>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="email">Email</label>
                <input id="email" class="form-control" name="email" type="email" [ngModel]="provider.email" minlength="5" maxlength="30" required>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="website">Site internet</label>
                <input id="website" class="form-control" name="website" type="url" [ngModel]="provider.website" minlength="3" maxlength="40" required>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="contact">Contact principal</label>
                <input id="contact" class="form-control" name="contact" type="text" [ngModel]="provider.contact" minlength="3" maxlength="40" required>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="phone">Téléphone</label>
                <input id="phone" class="form-control" name="phone" type="text" [ngModel]="provider.phone" minlength="6" maxlength="13" required>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="fax">Fax</label>
                <input id="fax" class="form-control" name="fax" type="text" [ngModel]="provider.fax" minlength="6" maxlength="13">
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="address">Adresse</label>
                <input id="address" class="form-control" name="address" type="text" [ngModel]="provider.address" minlength="6" maxlength="55" required>
              </div>
            </div>
          </div>
        </div>
      </div>
      <button class="btn btn-info" type="submit" [disabled]="!providerForm.form.valid">Mettre à jour</button>
    </form>
  </div>
</div>
